package Collections

/**
 * https://www.tutorialspoint.com/kotlin/kotlin_collections.htm
 */
class Collections {
	/**
	 * How to instantiate an immutable list of strings
	 */
	fun createImmutableList() {
		val numbers = listOf("one", "two", "three", "four")
		// numbers.add("five") not possible
		println(numbers)
	}

	/**
	 * How to instantiate a mutable list of strings
	 */
	fun createMutableList() {
		val numbers = mutableListOf("one", "two", "three", "four")
		numbers.add("five")
		println(numbers)
	}
}
